#include <bits/stdc++.h>
using namespace std;
#define u 200006
int v[u],h[u];
int main()
{
    ios::sync_with_stdio(false);
    int n,pot=0;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>v[i]>>h[i];
        v[i]--;
        h[i]--;
    }
    sort(v,v+n);
    sort(h,h+n);
    for(int i=0;i<n;i++){
        pot=pot+abs(v[i]-i)+abs(h[i]-i);
    }
    cout<<pot;
}